Download it now!
Bug 32137 - [EDITING]: Image title and description disappear after adding caption (accessibility issue)
Summary: [EDITING]: Image title and description disappear after adding caption (access...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: Other Windows (All)
: medium normal
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Caption
  Show dependency treegraph
 
Reported: 2010-12-06 08:18 UTC by Christophe Strobbe
Modified: 2017-12-12 14:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Strobbe 2010-12-06 08:18:20 UTC
This issue was detected in LibreOffice 3.3 RC1 on Windows XP.
Here is the process to reproduce the issue:
1. Add an image to the document through the menus: Insert > Picture > From File...
2. Right-click on the image and select Description from the context menu.
3. Fill in the fields Title and Description.
4. Quit the Description dialog by pressing OK.
5. Right-click on the image and select Caption from the context menu.
6. Fill in the Caption field; quit the caption dialog by pressing OK.
7. Right-click on the image (i.e. on the image inside the frame created by the
caption, as opposed to a right-click on the frame itself), and select
Description from the context menu.
8. The fields Title and Description (filled in at step 3) are now empty.

Note: the issue also appears when adding only the Title or only the Description.

Current workaround: add the caption first, and then the Title and Description. (The title and description don't disappear if the caption is modified afterwards.)
Few people will be aware of the disappearing Title and Decription and think of
the workaround.
The title and description are needed for blind users (or any screen reader
users) and for exporting to audio books (e.g. in the DAISY format, with the OOo/LibO
extension odt2daisy). In other words, it's an accessibility issue.

Note: this issue was also reported in an OpenOffice.org bug and fixed very quickly; see http://qa.openoffice.org/issues/show_bug.cgi?id=115719
Comment 1 Rainer Bielefeld Retired 2010-12-06 09:14:51 UTC
[Reproducible] with "LibreOffice 3.3.0 RC1 - WIN XP German UI  [OOO330m17 (build 3.3.0.1)]"
Comment 2 Guillaume 2011-03-26 08:15:48 UTC
[Reproducible] with "LibreOffice 3.3.2 OOO330m19 (Build:202) tag libreoffice-3.3.2.2", Mac OS X
Comment 3 Cédric Bosdonnat 2011-03-30 10:05:08 UTC
OpenOffice.org fix has been integrated in the master branch. Verified it here on master branch build. Fix to go in 3.4